package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbCustomizedTemplate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.query.CustomizedTemplateQuery;
import com.gci.boot.modules.vehicles.vo.CustomizedTemplateVo;

/**
 * <p>
 * 定制件模板 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-12
 */
public interface ITbCustomizedTemplateService extends IService<TbCustomizedTemplate> {

    IPage<CustomizedTemplateVo> pageBuild(Page<CustomizedTemplateVo> page, CustomizedTemplateQuery query);

    void saveItem(TbCustomizedTemplate tbCustomizedTemplate);

    void updateItem(TbCustomizedTemplate tbCustomizedTemplate);

    TbCustomizedTemplate getByProjectIdAndVehicleType(String projectId, String vehicleType);

    void removeItem(String projectId, String vehicleType);
}
